export let UNITS = {
  btc: {
    toSatoshis: 100000000,
    full: {
      maxDecimals: 8,
      minDecimals: 8
    },
    short: {
      maxDecimals: 6,
      minDecimals: 2
    }
  },
  bch: {
    toSatoshis: 100000000,
    full: {
      maxDecimals: 8,
      minDecimals: 8
    },
    short: {
      maxDecimals: 6,
      minDecimals: 2
    }
  },
  eth: {
    toSatoshis: 1e18,
    full: {
      maxDecimals: 8,
      minDecimals: 8
    },
    short: {
      maxDecimals: 6,
      minDecimals: 2
    }
  },
  xrp: {
    toSatoshis: 1e6,
    full: {
      maxDecimals: 6,
      minDecimals: 6
    },
    short: {
      maxDecimals: 6,
      minDecimals: 2
    }
  },
  busd: {
    toSatoshis: 1e18,
    full: {
      maxDecimals: 8,
      minDecimals: 8
    },
    short: {
      maxDecimals: 6,
      minDecimals: 2
    }
  },
  dai: {
    toSatoshis: 1e18,
    full: {
      maxDecimals: 8,
      minDecimals: 8
    },
    short: {
      maxDecimals: 6,
      minDecimals: 2
    }
  },
  wbtc: {
    toSatoshis: 1e8,
    full: {
      maxDecimals: 8,
      minDecimals: 8
    },
    short: {
      maxDecimals: 8,
      minDecimals: 2
    }
  },
  usdc: {
    toSatoshis: 1e6,
    full: {
      maxDecimals: 8,
      minDecimals: 8
    },
    short: {
      maxDecimals: 6,
      minDecimals: 2
    }
  },
  usdp: {
    toSatoshis: 1e18,
    full: {
      maxDecimals: 8,
      minDecimals: 8
    },
    short: {
      maxDecimals: 6,
      minDecimals: 2
    }
  },
  // backwards compatibility
  pax: {
    toSatoshis: 1e18,
    full: {
      maxDecimals: 8,
      minDecimals: 8
    },
    short: {
      maxDecimals: 6,
      minDecimals: 2
    }
  },
  gusd: {
    toSatoshis: 1e2,
    full: {
      maxDecimals: 8,
      minDecimals: 8
    },
    short: {
      maxDecimals: 6,
      minDecimals: 2
    }
  },
  bit: {
    toSatoshis: 100,
    full: {
      maxDecimals: 2,
      minDecimals: 2
    },
    short: {
      maxDecimals: 0,
      minDecimals: 0
    }
  },
  doge: {
    toSatoshis: 100000000,
    full: {
      maxDecimals: 8,
      minDecimals: 8
    },
    short: {
      maxDecimals: 6,
      minDecimals: 2
    }
  },
  ltc: {
    toSatoshis: 100000000,
    full: {
      maxDecimals: 8,
      minDecimals: 8
    },
    short: {
      maxDecimals: 6,
      minDecimals: 2
    }
  },
  shib: {
    toSatoshis: 1e18,
    full: {
      maxDecimals: 8,
      minDecimals: 8
    },
    short: {
      maxDecimals: 6,
      minDecimals: 2
    }
  },
  ape: {
    toSatoshis: 1e18,
    full: {
      maxDecimals: 8,
      minDecimals: 8
    },
    short: {
      maxDecimals: 6,
      minDecimals: 2
    }
  },
  euroc: {
    toSatoshis: 1e18,
    full: {
      maxDecimals: 8,
      minDecimals: 8
    },
    short: {
      maxDecimals: 6,
      minDecimals: 2
    }
  }
};
